package com.sundot.airport.web.controller.ledger;

import java.util.List;
import javax.servlet.http.HttpServletResponse;

import com.sundot.airport.common.annotation.Log;
import com.sundot.airport.common.core.controller.BaseController;
import com.sundot.airport.common.core.domain.AjaxResult;
import com.sundot.airport.common.core.page.TableDataInfo;
import com.sundot.airport.common.enums.BusinessType;
import com.sundot.airport.common.utils.poi.ExcelUtil;
import com.sundot.airport.ledger.domain.LedgerTerminalBonus;
import com.sundot.airport.ledger.service.ILedgerTerminalBonusService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;

/**
 * 航站楼加分记录Controller
 */
@RestController
@RequestMapping("/ledger/terminalBonus")
public class LedgerTerminalBonusController extends BaseController {

    @Autowired
    private ILedgerTerminalBonusService service;

    @PreAuthorize("@ss.hasPermi('ledger:terminalBonus:list')")
    @GetMapping("/list")
    public TableDataInfo list(LedgerTerminalBonus query) {
        startPage();
        List<LedgerTerminalBonus> list = service.selectList(query);
        return getDataTable(list);
    }

    @PreAuthorize("@ss.hasPermi('ledger:terminalBonus:export')")
    @Log(title = "航站楼加分记录", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, LedgerTerminalBonus query) {
        List<LedgerTerminalBonus> list = service.selectList(query);
        ExcelUtil<LedgerTerminalBonus> util = new ExcelUtil<>(LedgerTerminalBonus.class);
        util.exportExcel(response, list, "航站楼加分记录");
    }

    @PreAuthorize("@ss.hasPermi('ledger:terminalBonus:query')")
    @GetMapping("/{id}")
    public AjaxResult getInfo(@PathVariable Long id) {
        return AjaxResult.success(service.getById(id));
    }
}
